Subject: Re: Looking for file format of Lightwave ASCII scene file
From: "sherak michael" <[email-masked]>
To: [email-masked], Robert Lansdale <[email-masked]>
Date: Mon, 24 Jul 95 07:54:11

Newtek's BBS, the company that makes Lightwave, has a file up there 
     that describes the Lightwave object file format... (913) 271-9299
     I think it is also on there web-site.. 
      Here is a sample scene with some of the fields defined.. This is a 
     file from 4.0 of Lightwave.. I will see if I can find the updated file 
     format for the Lightwave objects.. It really has not changed much in 
     the past 5 years other that adding a couple of new tags.. A Lightwave 
     object is in IFF format.. Very easy to read if you are making a 
     reader.. If you have any questions feel free to ask.. 
     
      Michael Sherak
      [email-masked]
      Interplay Productions, Inc.
     
     ----------------------------------------------------------------------
     ----- 
     LWSC
     1
     
     FirstFrame 1                ; first frame #
     LastFrame 30                ; last frame #
     FrameStep 1                  
     FramesPerSecond 30.000000   ; procedural texture speed
     
     LoadObject OBJECTS\Fire.lwo ; Object filename and location on system
     ShowObject 4 7              ; Lightwave display info
     ObjectMotion (unnamed)      ; object motion name defined 
       9                    
       3                    ; three keyframes in the object motion
       0 0 15 10 0 0 4 4 4  ; x,y,z position : h,p,b angle : x,y,z scale
       0 1 0.5 1 0.5        ; keyframe #0: linear : tension : continuity : 
     bias
       -2.105 0 14.39 10 0 0 4 4 4
       10 0 0 0 0           ; keyframe #10 
       1.225 0 12.335 10 0 0 4 4 4
       20 0 0 0 0           ; keyframe #20
     EndBehavior 1          ;objects spline end behavior - 0 = reset : 1 = 
     stop : 2 = repeat
     ShadowOptions 7
     
     AmbientColor 255 255 255
     AmbIntensity 0.250000
     
     AddLight
     LightName Light
     ShowLight 0 7
     LightMotion (unnamed)
       9
       1
       0 0 0 60 30 0 1 1 1
       0 0 0 0 0
     EndBehavior 1
     LightColor 255 255 255
     LgtIntensity 1.000000
     LightType 0
     ShadowCasting 1
     
     ShowCamera 1 7
     CameraMotion (unnamed)
       9
       1
       0.0396825 -0.031746 -5.9327 0 0 0 1 1 1
       0 0 0 0 0
     EndBehavior 1
     ZoomFactor 3.200000
     RenderMode 2
     RayTraceEffects 0
     Resolution 1
     PixelAspectRatio 2
     SegmentMemory 10000000
     Antialiasing 0
     AdaptiveSampling 1
     AdaptiveThreshold 8
     FilmSize 2
     FieldRendering 0
     MotionBlur 0
     DepthOfField 0
     
     SolidBackdrop 1
     BackdropColor 0 0 0
     ZenithColor 0 40 80
     SkyColor 120 180 240
     GroundColor 50 40 30
     NadirColor 100 80 60
     FogType 0
     DitherIntensity 1
     AnimatedDither 0
     
     DataOverlayLabel  
     
     ViewMode 5              ; this could be used for a 2nd camera...
     ViewAimpoint 0.000000 0.000000 0.000000
     ViewDirection 0.000000 -0.174533 0.000000
     ViewZoomFactor 3.200000
     LayoutGrid 8
     GridSize 1.000000
     ShowMotionPath 1
     ShowSafeAreas 0
     ShowBGImage 0
     ShowFogRadius 0
     ShowRedraw 0

______________________________ Reply Separator 
_________________________________
Subject: Looking for file format of Lightwave ASCII scene file
Author:  Robert Lansdale <[email-masked]> at Internet
Date:    7/24/95 12:38 AM

I am in the process of writing a Lightwave object file import filter 
using the LWOB file format described by Alan Hasting. However, I still 
need a document which describes the Lightwave ASCII scene file format, 
in particular the various transformation variables that pertain to each 
object definition. Any info would be much appreciated.

--> Robert C. Lansdale ([email-masked])

--
Robert Lansdale <[email-masked]> sent this message. To Post a 
Message           : [email-masked] Un/Subscription Requests To : 
[email-masked]
(DIGEST)                 or : [email-masked] 
Administrative Items To     : [email-masked]
--
"sherak michael" <[email-masked]> sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]